BETTERMENU
Studio

Get Per-Serving Nutrition Facts

Get per-serving nutrition facts — FDA-rounded nutrients and %DV for one serving.

Use this to answer: "what's the nutrition per serving?", "show me the nutrition label", "calories per serving", "percent daily value for fat"

Returns FDA-rounded nutrient values and percent daily values for one serving. Returns 404 if per-serving nutrition facts have not been computed.

Related endpoints:

  • setRecipeServing — set serving (⑦)
  • computeRecipeNutrition — batch nutrition must exist (⑥)
  • computeNutritionFacts — compute these facts (⑧)
  • getRecipePerContainerNutritionFacts — per-container column (dual-column labels)
GET
/studio/recipes/{recipe_id}/servings/{serving_id}/nutrition-facts/per-serving

Authorization

BearerAuth
AuthorizationBearer <token>

JWT Bearer token authentication

In: header

Path Parameters

recipe_id*string

Unique recipe identifier

serving_id*string

Serving identifier

Response Body

application/json

application/json

curl -X GET "https://loading/studio/recipes/string/servings/string/nutrition-facts/per-serving"
{
  "data": {
    "serving_id": "string",
    "demographic": "string",
    "reference_weight_grams": "string",
    "nutrients": [
      {
        "bmid": "string",
        "name": "string",
        "amount": "string",
        "unit": "string",
        "percent_daily_value": "string"
      }
    ]
  },
  "meta": {
    "version": "string",
    "request_id": "string",
    "timestamp": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}